Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.diagnostics
Class AsciiReportRenderer.MergedResolvedDependency

    java.lang.Object
      org.gradle.api.tasks.diagnostics.AsciiReportRenderer.MergedResolvedDependency

All Implemented Interfaces:
  ResolvedDependency

    class AsciiReportRenderer.MergedResolvedDependency

Constructor Summary
`AsciiReportRenderer.MergedResolvedDependency(java.util.Set mergedResolvedDependencies)`

Method Summary
`java.util.Set` | `getAllArtifacts(ResolvedDependency parent)`
`java.util.Set` | `getAllModuleArtifacts()`
`java.util.Set` | `getArtifacts(ResolvedDependency parent)`
`java.util.Set` | `getChildren()`
`java.lang.String` | `getConfiguration()`
`java.lang.String` | `getGroup()`
`java.util.Set` | `getModuleArtifacts()`
`java.lang.String` | `getName()`
`java.util.Set` | `getParentArtifacts(ResolvedDependency parent)`
`java.util.Set` | `getParents()`
`java.lang.String` | `getVersion()`

Methods inherited from class java.lang.Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### AsciiReportRenderer.MergedResolvedDependency

    public AsciiReportRenderer.MergedResolvedDependency(java.util.Set mergedResolvedDependencies)

Method Detail

### getAllArtifacts

    public java.util.Set getAllArtifacts(ResolvedDependency parent)

### getAllModuleArtifacts

    public java.util.Set getAllModuleArtifacts()

### getArtifacts

    public java.util.Set getArtifacts(ResolvedDependency parent)

### getChildren

    public java.util.Set getChildren()

### getConfiguration

    public java.lang.String getConfiguration()

### getGroup

    public java.lang.String getGroup()

### getModuleArtifacts

    public java.util.Set getModuleArtifacts()

### getName

    public java.lang.String getName()

### getParentArtifacts

    public java.util.Set getParentArtifacts(ResolvedDependency parent)

### getParents

    public java.util.Set getParents()

### getVersion

    public java.lang.String getVersion()

Groovy Documentation